<!doctype html>
<head>
  <meta charset="utf-8">
  <title>Angry birds clone</title>
  <meta name="description" content="A demonstration of EaselBox, a wrapper for EaselJS and Box2dWeb">
  <meta name="author" content="Matt Duffield">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="css/main.css">
</head>

<body>
  <div id="container">
    <p>This demo is a clone of Angry Birds that integrates the Box2dWeb Javascript 
    library with custom rendering in EaselJS.   The artwork is stolen from the awesome 
    <a href="http://seb.ly/2012/01/live-iphone-coding-video-now-online/">Seb Lee-Delisle's live coding example</a>
    of the game "Ghosts and Monsters" using the Corona SDK for buildling iOS and Android apps.
    </p>
    <div id="main" role="main">
      <p>To play: click and drag the head to the left, then relase it to sling it at the blocks</p>
      <div id="demo">
        <p>Drawing on canvas with EaselJS</p>
        <canvas id="easelCanvas" width="960" height="350"></canvas>
      </div>
    </div>
    <div id="debug">
      <p>The debug drawing directly from Box2dWeb</p>
      <canvas id="debugCanvas" width="960" height="350"></canvas>
    </div>
    <div id="stats"></div>
  </div>
  <script src="/js/lib/jquery-1.7.1.min.js"></script>
  <script src="/js/lib/stats.js"></script>
  <script src="/js/lib/easel.js"></script>
  <script src="/js/lib/Box2dWeb-2.1.a.3.min.js"></script>
  <script src="/js/easelBox.js"></script>
  <script src="/js/angrybirds.js"></script>
  <script>
    $(document).ready(function() {
      canvas = document.getElementById('easelCanvas')
      debugCanvas = document.getElementById('debugCanvas')
      statsCanvas = document.getElementById('stats') 
      
      new AngryBirdsGame(canvas, debugCanvas, statsCanvas);
    });
  </script>
</body>
